<?php

// Do we have a title?
if (!isset ($_GET['title']))
    exit ();

// Find page file
$title_sha1 = sha1 ($_GET['title']);

// Load page content
echo file_get_contents ('node/' . substr ($title_sha1, 0, 2) . '/' . $title_sha1);
